Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting
Interface ServerContext

All Known Subinterfaces:
  WebContext, WebContext

All Known Implementing Classes:
  DefaultServerContext, DefaultWebContext, ExecutionContext

    public interface ServerContext

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Method Summary
`java.util.Collection` | `getAllScriptSessions()` Get a list of all the ScriptSessions known to this server at the given time.
`Container` | `getContainer()` Accessor for the IoC container.
`java.util.Collection` | `getScriptSessionsByPage(java.lang.String url)` Get a list of all ScriptSessions on a given page.
`javax.servlet.ServletConfig` | `getServletConfig()` Accessor for the servlet config.
`javax.servlet.ServletContext` | `getServletContext()` Returns the ServletContext to which this session belongs.
`java.lang.String` | `getVersion()` Fish the version number out of the dwr.properties file.

Method Detail

### getScriptSessionsByPage

    java.util.Collection getScriptSessionsByPage(java.lang.String url)

  Get a list of all ScriptSessions on a given page. Note that the list of known sessions is continually changing so it is possible that the list will be out of date by the time it is used. For this reason you should check that getScriptSession(String id) returns something non null.

  Parameters:
    `url` - The URL including 'http://', up to (but not including) '?' or '#'
  Returns:
    A collection of all the ScriptSessions.

### getAllScriptSessions

    java.util.Collection getAllScriptSessions()

  Get a list of all the ScriptSessions known to this server at the given time. Note that the list of known sessions is continually changing so it is possible that the list will be out of date by the time it is used. For this reason you should check that getScriptSession(String id) returns something non null.

  Returns:
    A collection of all the ScriptSessions.

### getServletConfig

    javax.servlet.ServletConfig getServletConfig()

  Accessor for the servlet config.

  Returns:
    Returns the config.

### getServletContext

    javax.servlet.ServletContext getServletContext()

  Returns the ServletContext to which this session belongs.

  Returns:
    The servlet context information.

### getContainer

    Container getContainer()

  Accessor for the IoC container.

  Returns:
    The IoC container that created the interface implementations.

### getVersion

    java.lang.String getVersion()

  Fish the version number out of the dwr.properties file.

  Returns:
    The current version number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD